# norootforbuild
%define packname libdvdnav

Name:           libdvdnav4
Summary:        A DVD Navigation Library
Url:            http://www.mplayerhq.hu/
License:        GPL v2 or later
Group:          Productivity/Multimedia/Other
Version:        4.1.3
Release:        1.9
Source0:        http://www1.mplayerhq.hu/MPlayer/releases/dvdnav/%packname-%version.tar.bz2
Patch:          libdvdnav.diff
Patch1:         libdvdnav-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libdvdread-devel
Provides:	%{packname} = %{version}
Obsoletes:	%{packname} <= 0.1.10

%description
This library contains functions to display DVD video menus.

Authors:
--------
    Daniel Caujolle-Bert <segfault@club-internet.fr>
    Thomas Vander Stichele <thomas@apestaart.org>
    Rich Wareham <richwareham@users.sourceforge.net>
    Kees Cook <kees@outflux.net>

%package -n %packname-devel
License:        GPL v2 or later
Summary:        Development Environment for libdvdnav
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} libdvdread-devel

%description -n %packname-devel
This library contains functions to display DVD video menus.



Authors:
--------
    Daniel Caujolle-Bert <segfault@club-internet.fr>
    Thomas Vander Stichele <thomas@apestaart.org>
    Rich Wareham <richwareham@users.sourceforge.net>
    Kees Cook <kees@outflux.net>

%prep
%setup -q -n %packname-%version 
%patch
%patch1

%build
autoreconf -f -i
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libdvdnav4 -p /sbin/ldconfig

%postun -n libdvdnav4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %packname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
/usr/bin/*
/usr/include/*
/usr/share/aclocal/*.m4
%{_libdir}/*.so
%_libdir/pkgconfig/dvdnav.pc
%_libdir/pkgconfig/dvdnavmini.pc

%changelog
* Mon Nov 17 2008 Carsten Schoene <cs@linux-administrator.com>
- Initial package, version 4.1.3
